# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_Array1OfTextOrCharacter Class Reference

`#include <StepVisual_Array1OfTextOrCharacter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_Array1OfTextOrCharacter (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_Array1OfTextOrCharacter (const StepVisual_TextOrCharacter &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepVisual_TextOrCharacter &V)
Standard_EXPORT void | Destroy ()
| ~StepVisual_Array1OfTextOrCharacter ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepVisual_Array1OfTextOrCharacter & | Assign (const StepVisual_Array1OfTextOrCharacter &Other)
const StepVisual_Array1OfTextOrCharacter & | operator= (const StepVisual_Array1OfTextOrCharacter &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_TextOrCharacter &Value)
const StepVisual_TextOrCharacter & | Value (const Standard_Integer Index) const
const StepVisual_TextOrCharacter & | operator() (const Standard_Integer Index) const
StepVisual_TextOrCharacter & | ChangeValue (const Standard_Integer Index)
StepVisual_TextOrCharacter & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepVisual_Array1OfTextOrCharacter (const StepVisual_Array1OfTextOrCharacter &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_Array1OfTextOrCharacter::StepVisual_Array1OfTextOrCharacter | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_Array1OfTextOrCharacter::StepVisual_Array1OfTextOrCharacter | ( | const StepVisual_TextOrCharacter & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepVisual_Array1OfTextOrCharacter::~StepVisual_Array1OfTextOrCharacter | ( |  | ) | `[inline]`

Standard_EXPORT StepVisual_Array1OfTextOrCharacter::StepVisual_Array1OfTextOrCharacter | ( | const StepVisual_Array1OfTextOrCharacter & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepVisual_Array1OfTextOrCharacter& StepVisual_Array1OfTextOrCharacter::Assign | ( | const StepVisual_Array1OfTextOrCharacter & | Other | ) |

StepVisual_TextOrCharacter& StepVisual_Array1OfTextOrCharacter::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepVisual_Array1OfTextOrCharacter::Destroy | ( |  | ) |

Standard_EXPORT void StepVisual_Array1OfTextOrCharacter::Init | ( | const StepVisual_TextOrCharacter & | V | ) |

Standard_Boolean StepVisual_Array1OfTextOrCharacter::IsAllocated | ( |  | ) | const

Standard_Integer StepVisual_Array1OfTextOrCharacter::Length | ( |  | ) | const

Standard_Integer StepVisual_Array1OfTextOrCharacter::Lower | ( |  | ) | const

void StepVisual_Array1OfTextOrCharacter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepVisual_Array1OfTextOrCharacter::operator new | ( | size_t | size | ) | `[inline]`

void* StepVisual_Array1OfTextOrCharacter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepVisual_TextOrCharacter& StepVisual_Array1OfTextOrCharacter::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepVisual_TextOrCharacter& StepVisual_Array1OfTextOrCharacter::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepVisual_Array1OfTextOrCharacter& StepVisual_Array1OfTextOrCharacter::operator= | ( | const StepVisual_Array1OfTextOrCharacter & | Other | ) | `[inline]`

void StepVisual_Array1OfTextOrCharacter::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_TextOrCharacter & | Value
| ) |

Standard_Integer StepVisual_Array1OfTextOrCharacter::Upper | ( |  | ) | const

const StepVisual_TextOrCharacter& StepVisual_Array1OfTextOrCharacter::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepVisual_Array1OfTextOrCharacter::isAllocated `[private]`

Standard_Integer StepVisual_Array1OfTextOrCharacter::myLowerBound `[private]`

Standard_Address StepVisual_Array1OfTextOrCharacter::myStart `[private]`

Standard_Integer StepVisual_Array1OfTextOrCharacter::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepVisual_Array1OfTextOrCharacter.hxx